Bug 193706 - cluster mirror copy starts over when node is recovered
cluster mirror copy starts over when node is recovered
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-31 14:21 EDT by Corey Marthaler
Modified: 2010-04-27 10:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 10:52:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-05-31 14:21:19 EDT
Description of problem:
I had a cmirror which was 14% done being copied, I then rebooted a node in the
cluster which didn't have any I/O going to that mirror. The mirror copy then
appeared to restart again at 0% and slowly and eventually made it's way to 100%
copied. I thought that the whole point of the log volume was to not have to
re-copy the whole mirror every time a failure happened.

Version-Release number of selected component (if applicable):
[root@taft-04 sbin]# rpm -q cmirror-kernel-smp
cmirror-kernel-smp-2.6.9-4.2
Comment 1 Jonathan Earl Brassow 2006-06-02 17:55:58 EDT
This was a problem were I was making the complete_resync_work function handle
what should have been in the clear_region function for recovery scenarios.  The
result was that although the clear_region was happening, that bitmap was not
properly being written.

Fix will be in next rev after cmirror-kernel*-2.6.9-4.2.
Comment 2 Corey Marthaler 2006-06-05 19:05:21 EDT
This appears to be fixed.
Comment 4 Alasdair Kergon 2010-04-27 10:52:13 EDT
Assuming this VERIFIED fix got released.  Closing.
Reopen if it's not yet resolved.

Note You need to log in before you can comment on or make changes to this bug.